﻿#language: ru

Функционал: Отчеты по Сырцеху

Сценарий: Отчеты по Сырцеху
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ участка варки сыра"
	Тогда открылось окно 'Анализ участка варки сыра'
	И Я в отчете устанавливаю период "12.03.2019" "12.03.2019"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И в поле 'Базовая жирность, %' я ввожу текст '3,400'
	И в поле 'Процент усушки' я ввожу текст '0,50'
	И я нажимаю кнопку выбора у поля "Показатель влага"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Влага, %'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Показатель pH"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Жир в сухом веществе' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Показатель жир в сухом веществе"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Жир в сухом веществе' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Вид анализа смеси"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'показатели МДЖ МДБ'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Вид анализа сыра"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'показатели МДЖ МДБ'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ участка варки сыра"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И я перехожу к закладке с именем "СтраницаВыбранныеПоляИСортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Продукция' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ участка варки сыра"'
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Варка'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ участка варки сыра"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'              | 'Рабочий центр: Сырцех'                             | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Период: 12.03.2019 - 12.03.2019'                   | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Базовая жирность, %: 3,400'                        | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Процент усушки: 0,50'                              | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Показатель влага: Влага, %'                        | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Показатель pH: Жир в сухом веществе'               | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Показатель жир в сухом веществе: Жир в сухом веществе' | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Вид анализа смеси: показатели МДЖ МДБ'             | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Вид анализа сыра: показатели МДЖ МДБ'              | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | 'Жирность обрата, %: 0,05'                          | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                        | ''                                                  | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Продукция'               | 'Статус'                                            | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Варка'                   | 'Выпуск сыра'                                       | ''               | 'Расход базисного молока на кг сыра' | ''     | 'ЖКГ'       | ''        | ''         | 'Жир в сухом в-ве' | ''   | ''     | 'Влага' | ''   | ''     | 'pH'    | ''   | ''     |
		| ''                        | 'из под пресса'                                     | 'условно-зрелый' | 'норма'                              | 'факт' | 'В смеси'   | 'В сыре'  | '% потерь' | 'Норма'            | ''   | 'Факт' | 'Норма' | ''   | 'Факт' | 'Норма' | ''   | 'Факт' |
		| ''                        | ''                                                  | ''               | ''                                   | ''     | ''          | ''        | ''         | 'от'               | 'до' | ''     | 'от'    | 'до' | ''     | 'от'    | 'до' | ''     |
		| 'Российский 50%'          | 'Варка'                                             | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| '12.03.2019/1'            | '953,100'                                           | '947,3395'       | '8,68'                               | '8,05' | '260,57473' | '238,025' | '8,65'     | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Сыворотка'               | ''                                                  | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| '1 до 01.01.0001 0:00:00' | '250,000'                                           | '248,75'         | ''                                   | ''     | ''          | '0,125'   | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Сырная крошка'           | ''                                                  | ''               | ''                                   | ''     | ''          | ''        | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| '1 до 01.01.0001 0:00:00' | '4,750'                                             | '4,72625'        | ''                                   | ''     | ''          | '1,16375' | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
	И Я закрываю окно 'Анализ участка варки сыра'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ остатков на складах"
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я устанавливаю флаг 'Склад:'
	И я нажимаю на кнопку с именем 'Список1Подбор'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Склады'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Анализ остатков на складах'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И Я закрываю окно 'Анализ остатков на складах'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ расхода материалов"
	Тогда открылось окно 'Анализ расхода материалов'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ расхода материалов"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок' | 'Использование' | 'Поле'   |
		| 'Период'    | 'Нет'           | 'Период' |
	И в таблице "Отборы" я активизирую поле с именем "ОтборыЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыЗначение"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '14.03.2019'
	И в поле 'DateEnd' я ввожу текст '15.03.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ расхода материалов"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок' | 'Использование' |
		| 'Период'    | 'Нет'           |
	И в таблице "Отборы" я устанавливаю флаг с именем 'ОтборыИспользование'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Анализ расхода материалов'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'              | 'Период: 12.03.2019 - 12.03.2019' | ''                        | ''                                     | ''                 | ''            | ''                  | ''           | ''            | ''           | ''  | ''                     | ''     |
		| ''                        | ''                                | ''                        | ''                                     | ''                 | ''            | ''                  | ''           | ''            | ''           | ''  | ''                     | ''     |
		| 'Номенклатура продукции'  | 'Характеристика продукции'        | 'Серия продукции'         | ''                                     | 'Выпуск продукции' | ''            | 'Расход материалов' | ''           | ''            | ''           | ''  | 'Время внесения (мин)' | ''     |
		| 'Номенклатура материала'  | 'Характеристика материала'        | 'Заменяемый материал'     | 'Характеристика заменяемого материала' | 'Количество'       | 'Количество1' | 'Норма'             | 'Факт'       | ''            | 'Отклонение' | ''  | 'Норма'                | 'Факт' |
		| 'Серия материала'         | ''                                | ''                        | ''                                     | ''                 | ''            | 'Количество'        | 'Количество' | 'Количество1' | 'Количество' | '%' | ''                     | ''     |
		| 'Российский 50%'          | 'Варка'                           | '12.03.2019/1'            | ''                                     | '952,100'          | '123,000'     | '10 022,336'        | '10 022,336' | ''            | ''           | ''  | ''                     | ''     |
		| 'Закваска'                | ''                                | ''                        | ''                                     | '952,100'          | '123,000'     | '0,231'             | '0,231'      | ''            | ''           | ''  | ''                     | ''     |
		| 'Смесь 50%'               | ''                                | ''                        | ''                                     | '952,100'          | '123,000'     | '10 022,105'        | '10 022,105' | ''            | ''           | ''  | ''                     | ''     |
		| '1 до 12.03.2019 0:00:00' | ''                                | ''                        | ''                                     | ''                 | ''            | ''                  | '10 022,105' | ''            | ''           | ''  | ''                     | ''     |
		| 'Сыворотка'               | ''                                | '1 до 01.01.0001 0:00:00' | ''                                     | '250,000'          | ''            | ''                  | ''           | ''            | ''           | ''  | ''                     | ''     |
		| 'Сырная крошка'           | ''                                | '1 до 01.01.0001 0:00:00' | ''                                     | '4,750'            | '1,000'       | ''                  | ''           | ''            | ''           | ''  | ''                     | ''     |
	И я закрываю окно 'Анализ расхода материалов'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Прослеживаемость Материалы -> Продукция"
	Тогда открылось окно 'Прослеживаемость Материалы -> Продукция'
	И я устанавливаю флаг 'Начало периода:'
	И я устанавливаю флаг 'Конец периода:'
	И я жду доступности элемента "Начало периода" в течение 10 секунд
	И в поле 'Начало периода' я ввожу текущую дату
	И я жду доступности элемента "Конец периода" в течение 10 секунд
	И в поле 'Конец периода' я ввожу текущую дату и текущее время
	И я снимаю флаг 'Номенклатура:'
	И я снимаю флаг 'Характеристика:'
	И я снимаю флаг 'Серия:'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'                    | 'Начало периода: *' 		 | ''                                  | ''           | ''                  | ''            | ''                   |
		| ''                              | 'Конец периода: *' 			 | ''                                  | ''           | ''                  | ''            | ''                   |
		| ''                              | ''                                   | ''                                  | ''           | ''                  | ''            | ''                   |
		| 'Номенклатура'                  | 'Характеристика'                     | 'Серия'                             | 'Количество' | 'Единица измерения' | 'Количество1' | 'Единица измерения1' |
		| 'Краситель Бета-каротин FS 30%' | ''                                   | '345урнеу6оу до 01.01.0001 0:00:00' | '1,000'      | 'шт'                | ''            | ''                   |
		| 'Сливочный 45%'                 | 'Варка'                              | '12.03.2019/2'                      | '1,000'      | 'шт'                | ''            | ''                   |
		| 'Ароматизатор 13456'            | ''                                   | '345енппа3 до 01.01.0001 0:00:00'   | '1,500'      | 'шт'                | ''            | ''                   |
		| 'Сливочный 45%'                 | 'Варка'                              | '12.03.2019/2'                      | '0,500'      | 'шт'                | ''            | ''                   |
		| 'Пошехонский 45%'               | 'Варка'                              | '12.03.2019/4'                      | '1,000'      | 'шт'                | ''            | ''                   |
		| 'Закваска Ceska L 100'          | ''                                   | '3н5ы4урквне до 01.01.0001 0:00:00' | '0,880'      | 'кг'                | ''            | ''                   |
		| 'Сливочный 45%'                 | 'Варка'                              | '12.03.2019/2'                      | '0,320'      | 'кг'                | ''            | ''                   |
		| 'Пошехонский 45%'               | 'Варка'                              | '12.03.2019/4'                      | '0,300'      | 'кг'                | ''            | ''                   |
		| 'Пошехонский 45%'               | 'Варка'                              | '12.03.2019/3'                      | '0,260'      | 'кг'                | ''            | ''                   |
		| 'Смесь 50%'                     | ''                                   | '1 до 12.03.2019 0:00:00'           | '10 022,105' | 'кг'                | ''            | ''                   |
		| 'Российский 50%'                | 'Варка'                              | '12.03.2019/1'                      | '10 022,105' | 'кг'                | ''            | ''                   |
		| 'Закваска'                      | ''                                   | ''                                  | '0,231'      | 'кг'                | ''            | ''                   |
		| 'Российский 50%'                | 'Варка'                              | '12.03.2019/1'                      | '0,231'      | 'кг'                | ''            | ''                   |
		| 'Смесь 45%'                     | ''                                   | '3 до 12.03.2019 0:00:00'           | '7 110,000'  | 'кг'                | ''            | ''                   |
		| 'Пошехонский 45%'               | 'Варка'                              | '12.03.2019/3'                      | '7 110,000'  | 'кг'                | ''            | ''                   |
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Прослеживаемость Материалы -> Продукция'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серия'
	И я нажимаю на кнопку 'Подбор'
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование'            | 'Номер' |
		| '12.03.2019'   | '1 до 12.03.2019 0:00:00' | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Серии номенклатуры'
	Тогда открылось окно 'Серия'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Прослеживаемость Материалы -> Продукция'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'     | 'Начало периода: *'                  | ''                        | ''           | ''                  | ''            | ''                   |
		| ''               | 'Конец периода: *'                   | ''                        | ''           | ''                  | ''            | ''                   |
		| ''               | 'Номенклатура: Смесь 50%'            | ''                        | ''           | ''                  | ''            | ''                   |
		| ''               | 'Серия: 1 до 12.03.2019 0:00:00'     | ''                        | ''           | ''                  | ''            | ''                   |
		| ''               | ''                                   | ''                        | ''           | ''                  | ''            | ''                   |
		| 'Номенклатура'   | 'Характеристика'                     | 'Серия'                   | 'Количество' | 'Единица измерения' | 'Количество1' | 'Единица измерения1' |
		| 'Смесь 50%'      | ''                                   | '1 до 12.03.2019 0:00:00' | '10 022,105' | 'кг'                | ''            | ''                   |
		| 'Российский 50%' | 'Варка'                              | '12.03.2019/1'            | '10 022,105' | 'кг'                | ''            | ''                   |
	И я закрываю окно 'Прослеживаемость Материалы -> Продукция'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Прослеживаемость Продукция -> Материалы"
	Тогда открылось окно 'Прослеживаемость Продукция -> Материалы'
	И я устанавливаю флаг 'Начало периода:'
	И я устанавливаю флаг 'Конец периода:'
	И я жду доступности элемента "Начало периода" в течение 10 секунд
	И в поле 'Начало периода' я ввожу текущую дату
	И я жду доступности элемента "Конец периода" в течение 10 секунд
	И в поле 'Конец периода' я ввожу текущую дату и текущее время
	И я снимаю флаг 'Номенклатура:'
	И я снимаю флаг 'Характеристика:'
	И я снимаю флаг 'Серия:'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Прослеживаемость Продукция -> Материалы"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И я перехожу к закладке с именем "СтраницаВыбранныеПоляИСортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'    |
		| 'Номенклатура' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Прослеживаемость Продукция -> Материалы"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Прослеживаемость Продукция -> Материалы'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'     | 'Начало периода: *'                  | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | 'Конец периода: *'                   | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | ''                                   | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| 'Номенклатура'   | 'Характеристика'                     | 'Серия'                   | 'Выпуск'     | ''            | ''                         | ''                          | 'Расход'     | ''            | ''                           | ''                            |
		| ''               | ''                                   | ''                        | 'Количество' | 'Количество1' | 'Выпуск единица измерения' | 'Выпуск единица измерения1' | 'Количество' | 'Количество1' | 'Материал единица измерения' | 'Материал единица измерения1' |
		| 'Российский 50%' | 'Варка'                              | '12.03.2019/1'            | '952,1'      | '123'         | 'кг'                       | 'шт'                        | '952,1'      | '123,000'     | ''                           | ''                            |
		| 'Закваска'       | ''                                   | ''                        | ''           | ''            | ''                         | ''                          | '0,231'      | ''            | 'кг'                         | ''                            |
		| 'Смесь 50%'      | ''                                   | '1 до 12.03.2019 0:00:00' | ''           | ''            | ''                         | ''                          | '10 022,105' | ''            | 'кг'                         | ''                            |
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Прослеживаемость Продукция -> Материалы'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серия'
	И я нажимаю на кнопку 'Подбор'
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '12.03.2019'   | '12.03.2019/1' | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Серии номенклатуры'
	Тогда открылось окно 'Серия'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Прослеживаемость Продукция -> Материалы'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристика'
	И я нажимаю на кнопку 'Подбор'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Характеристики номенклатуры'
	Тогда открылось окно 'Характеристика'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Прослеживаемость Продукция -> Материалы'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'     | 'Начало периода: *'                  | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | 'Конец периода: *'                   | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | 'Номенклатура: Российский 50%'       | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | 'Серия: 12.03.2019/1'                | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | 'Характеристика: Варка'              | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| ''               | ''                                   | ''                        | ''           | ''            | ''                         | ''                          | ''           | ''            | ''                           | ''                            |
		| 'Номенклатура'   | 'Характеристика'                     | 'Серия'                   | 'Выпуск'     | ''            | ''                         | ''                          | 'Расход'     | ''            | ''                           | ''                            |
		| ''               | ''                                   | ''                        | 'Количество' | 'Количество1' | 'Выпуск единица измерения' | 'Выпуск единица измерения1' | 'Количество' | 'Количество1' | 'Материал единица измерения' | 'Материал единица измерения1' |
		| 'Российский 50%' | 'Варка'                              | '12.03.2019/1'            | '952,1'      | '123'         | 'кг'                       | 'шт'                        | '952,1'      | '123,000'     | ''                           | ''                            |
		| 'Закваска'       | ''                                   | ''                        | ''           | ''            | ''                         | ''                          | '0,231'      | ''            | 'кг'                         | ''                            |
		| 'Смесь 50%'      | ''                                   | '1 до 12.03.2019 0:00:00' | ''           | ''            | ''                         | ''                          | '10 022,105' | ''            | 'кг'                         | ''                            |
	И я закрываю окно 'Прослеживаемость Продукция -> Материалы'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'	
	И я нажимаю на гиперссылку "Анализ выполнения производственного задания"
	Тогда открылось окно 'Анализ выполнения производственного задания'
	И я снимаю флаг 'Номенклатура:'
	И в поле 'Дата задания' я ввожу текст '12.03.2019  0:00:00'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ выполнения производственного задания"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И я перехожу к закладке с именем "СтраницаВыбранныеПоляИСортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'    |
		| 'Номенклатура' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выполнения производственного задания"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R6C1" равна '12.03.2019'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R7C1" равна 'Пошехонский 45%'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R7C2" равна '1 900'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R7C3" равна ''
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C1" равна 'Российский 50%'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C2" равна '950'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C3" равна '952,1'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C4" равна '2,1'
	И в табличном документе "ОтчетТабличныйДокумент" ячейка с адресом "R8C5" равна '0,22'
	И Я закрываю окно 'Анализ выполнения производственного задания'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 10_milk_scenario.01.014 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT